Skip to main content
GET
/
v1
/
stats
/
neurascore-by-agent
Retrieve Neurascore breakdown for a specific agent
curl --request GET \
  --url https://api.example.com/v1/stats/neurascore-by-agent \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/v1/stats/neurascore-by-agent"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/v1/stats/neurascore-by-agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "order_number": 1,
    "category_name": "Opening",
    "avg_category_score": 87.5,
    "min_score": 72,
    "max_score": 95,
    "expected_score": 100
  }
]
{
"code": "001-001-0001",
"message": "The requested resource was not found"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start_date
string<date-time>
required

Start of date range (UTC)

end_date
string<date-time>
required

End of date range (UTC)

model_name
string
required

Name of the analysis model

agent_id
string
required

Unique identifier of the agent

Response

Successful Response

order_number
number

Display order of the category

Example:

1

category_name
string

Name of the scoring category

Example:

"Opening"

avg_category_score
number

Agent's average score in this category

Example:

87.5

min_score
number

Agent's lowest score in this category

Example:

72

max_score
number

Agent's highest score in this category

Example:

95

expected_score
number

Maximum possible score for this category

Example:

100